Prima::DetailedOutline(3)

NAME
Prima::DetailedOutline - a multi-column outline viewer with controlling header widget.

SYNOPSIS
  use Prima::DetailedOutline;

  my $l = $w-> insert( 'Prima::DetailedList',
        columns => 2,
        headers => [ 'Column 1', 'Column 2' ],
        items => [
              [ ['Item 1, Col 1', 'Item 1, Col 2'], [
                    [ ['Item 1-1, Col 1', 'Item 1-1, Col 2'] ],
                    [ ['Item 1-2, Col 1', 'Item 1-2, Col 2'], [
                          [ ['Item 1-2-1, Col 1', 'Item 1-2-1, Col 2'] ],
                    ] ],
              ] ],
              [ ['Item 2, Col 1', 'Item 2, Col 2'], [
                    [ ['Item 2-1, Col 1', 'Item 2-1, Col 2'] ],
              ] ],
        ],
  );
  $l-> sort(1);

DESCRIPTION
Prima::DetailedOutline combines the functionality of Prima::OutlineViewer and Prima::DetailedList.

API
This class inherits all the properties, methods, and events of Prima::OutlineViewer (primary ancestor) and Prima::DetailedList (secondary ancestor). One new property is introduced, and one property is different enough to warrant mention.

  Methods

items ARRAY
    Each item is represented by an arrayref with either one or two elements. The first element is the item data, an arrayref of text strings to display. The second element, if present, is an arrayref of child items.

    When using the node functionality inherited from Prima::OutlineViewer, the item data (that is, the arrayref of text strings) is the first element of the node.

autoRecalc BOOLEAN
    If this is set to a true value, the column widths will be automatically recalculated (via "autowidths") whenever a node is expanded or collapsed.

COPYRIGHT
Copyright 2003 Teo Sankaro

This program is distributed under the BSD License. (Although a credit would be nice.)

AUTHOR
Teo Sankaro, <teo_sankaro@hotmail.com>.

SEE ALSO
Prima, Prima::Outlines, Prima::DetailedList